Skip to content

Upgrade EPFS

PUT
/api/v1/epfs/{epfs_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/epfs/{epfs_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "epfs-127",
"size_in_gb": 2000,
"network_id": 34872
}'
epfs_id
required
integer

EPFS Id

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name
required
string

Example

epfs-127
size_in_gb
required
integer

Example

2000
network_id
required
integer

Example

34872

Successful response indicating upgrade status

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "Upgrading in process",
"errors": {},
"message": "Success"
}